Skip to main content
GET
/
v2
/
admin
/
extensions
/
sip
/
{id}
Get SIP Extension
curl --request GET \
  --url https://api.voxo.co/v2/admin/extensions/sip/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.voxo.co/v2/admin/extensions/sip/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.voxo.co/v2/admin/extensions/sip/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "name": "<string>",
  "number": "<string>",
  "email": "<string>",
  "peerName": "<string>",
  "callerIdNumber": "<string>",
  "recording": "<string>",
  "trunk": "<string>",
  "trunkHost": "<string>",
  "trunkCallerIdSource": "<string>",
  "trunkEmergencyCallerIdOverride": "<string>",
  "callLimit": 123,
  "dialTimeout": 123,
  "routingProfileId": 123,
  "musicOnHoldId": 123,
  "emergencyLocationId": 123,
  "outboundDialPrefix": "<string>",
  "includeInDialByName": "<string>",
  "includeInPhonebook": "<string>",
  "emergencyLocationComment": "<string>",
  "branch": {
    "id": 123,
    "name": "<string>"
  },
  "emergencyLocation": {
    "id": 123,
    "address": "<unknown>"
  },
  "musicOnHold": {
    "id": 123,
    "name": "<string>"
  },
  "routingProfile": {
    "id": 123,
    "name": "<string>",
    "type": "<string>"
  }
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Extension ID

Pattern: ^[1-9]\d*$

Response

SIP extension details

id
number
required

Extension ID

tenant
object
required

Owning tenant

name
string | null
required

Extension name

number
string | null
required

Extension number

email
string | null
required

Extension email

peerName
string | null
required

SIP peer name

callerIdNumber
string | null
required

Outbound caller ID number

recording
string | null
required

Call recording mode

trunk
string | null
required

Trunk state

trunkHost
string | null
required

Trunk host

trunkCallerIdSource
string | null
required

Trunk caller ID source

trunkEmergencyCallerIdOverride
string | null
required

Trunk emergency caller ID override

callLimit
number | null
required

Concurrent call limit

dialTimeout
number | null
required

Inbound ring timeout (seconds)

routingProfileId
number | null
required

Routing profile ID

musicOnHoldId
number | null
required

Music on hold ID

emergencyLocationId
number | null
required

Emergency location ID

outboundDialPrefix
string | null
required

Outbound dial prefix

includeInDialByName
string | null
required

Dial-by-name inclusion

includeInPhonebook
string | null
required

Phonebook inclusion

emergencyLocationComment
string | null
required

Free-text emergency location comment

branch
object
required

Branch)

emergencyLocation
object | null
required

Emergency location

musicOnHold
object | null
required

Music on hold

routingProfile
object
required

Routing profile